aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/perf-archive.sh
diff options
context:
space:
mode:
authorIrina Tirdea <irina.tirdea@intel.com>2012-09-14 01:07:42 +0300
committerArnaldo Carvalho de Melo <acme@redhat.com>2012-09-17 13:10:27 -0300
commit73eb422c10aa2a4afc1100d1bd54974ed72ad373 (patch)
tree84db95e662f9aea0d20d8dc05637f1082401f338 /tools/perf/perf-archive.sh
parentperf stat: Move stats related code to util/stat.c (diff)
downloadlinux-dev-73eb422c10aa2a4afc1100d1bd54974ed72ad373.tar.xz
linux-dev-73eb422c10aa2a4afc1100d1bd54974ed72ad373.zip
perf archive: Remove -f from the rm command
In Android, rm does not support the -f parameter. Remove -f from rm and make sure rm does not fail even if the files to be removed are not found. Signed-off-by: Irina Tirdea <irina.tirdea@intel.com> Cc: David Ahern <dsahern@gmail.com> Cc: Ingo Molnar <mingo@redhat.com> Cc: Namhyung Kim <namhyung.kim@lge.com> Cc: Paul Mackerras <paulus@samba.org> Cc: Peter Zijlstra <a.p.zijlstra@chello.nl> Cc: Steven Rostedt <rostedt@goodmis.org> Link: http://lkml.kernel.org/r/1347574063-22521-4-git-send-email-irina.tirdea@intel.com Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Diffstat (limited to 'tools/perf/perf-archive.sh')
-rw-r--r--tools/perf/perf-archive.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/perf/perf-archive.sh b/tools/perf/perf-archive.sh
index 95b6f8b6177a..da94179f9ab1 100644
--- a/tools/perf/perf-archive.sh
+++ b/tools/perf/perf-archive.sh
@@ -24,7 +24,7 @@ NOBUILDID=0000000000000000000000000000000000000000
perf buildid-list -i $PERF_DATA --with-hits | grep -v "^$NOBUILDID " > $BUILDIDS
if [ ! -s $BUILDIDS ] ; then
echo "perf archive: no build-ids found"
- rm -f $BUILDIDS
+ rm $BUILDIDS || true
exit 1
fi
@@ -40,7 +40,7 @@ while read build_id ; do
done
tar cfj $PERF_DATA.tar.bz2 -C $PERF_BUILDID_DIR -T $MANIFEST
-rm -f $MANIFEST $BUILDIDS
+rm $MANIFEST $BUILDIDS || true
echo -e "Now please run:\n"
echo -e "$ tar xvf $PERF_DATA.tar.bz2 -C ~/.debug\n"
echo "wherever you need to run 'perf report' on."